{
   "format_version":"1.20.10",
   "minecraft:recipe_shaped":{
      "description":{
         "identifier":"sgs_farm:veggie_lasagne"
      },
      "tags":[
         "sgs_farm_workbench_oven"
      ],
      "pattern": [
         "   ",
         "ABC",
         " D "
     ],
     "key": {
      "A": { "item":"sgs_farm:ratatouille" },
      "B": { "item":"sgs_farm:cheese_sauce" },
      "C": { "item":"sgs_farm:pasta_raw"},
      "D": { "item":"sgs_farm:ceramic_dish"}
         
     },
      "unlock":{
         "context":"AlwaysUnlocked"
      },
      "result":[
        {"item":"sgs_farm:lasagne_veg"},
        {"item":"sgs_farm:roasting_tray"}
      
      ]
   }
}